<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@858D=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@0473</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0473=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0473=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@8558=06</action>
    </script>
  </cheat>

  <cheat desc="1 Block to Finish Stage"> <comment>Set before starting the stage</comment>
    <script state="run">
      <action>maincpu.pb@8550=01</action>
    </script>
  </cheat>

  <cheat desc="Able to Eat Enemy"> <comment>Only use when playing the game and turn it OFF at the end of the stage</comment>
    <script state="run">
      <action>maincpu.pw@8545=0040|(maincpu.pw@8545 BAND ~FF40)</action>
      <action>maincpu.pb@8559=01|(maincpu.pb@8559 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Always Have Speed Up PL1">
    <script state="run">
      <action>maincpu.pb@8109=02</action>
    </script>
  </cheat>

  <cheat desc="Always Have Speed Up PL2">
    <script state="run">
      <action>maincpu.pb@8189=02</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
